<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "2X default">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "100000.0"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning"/>
            <camera name = "ultra_wide" stage = "binning_small"/>
        </outState>

        <rule name = "2x wide ultra_wide qcfa">
            <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "0"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "insensorzoom"/>
                <camera name = "ultra_wide"  stage = "binning_small"/>
            </outState>
            <rule name = "ZOOM 2x insensorzoom_qcfa dual stream">
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "2" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true" stage = "insensorzoom"/>
                    <camera name = "ultra_wide"  stage = "binning_small" />
					<enableSyncMode>1</enableSyncMode>
                </outState>
                <rule name = "ZOOM 2x capture insensorzoom_qcfa">
                    <condition name = "META" tag = "MULTICAM_CAPTURE_INTENT" type = "INT32" value = "2"/>
                    <outState>
                        <camera name = "wide" prev = "true" stage = "insensorzoom_qcfa"/>
                        <camera name = "ultra_wide"  stage = "binning_small" />
						<enableSyncMode>1</enableSyncMode>
                    </outState>
                </rule>
            </rule>
            <rule name = "ZOOM 2x capture insensorzoom_qcfa single stream">
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "1" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true" stage = "insensorzoom"/>
                </outState>
                <rule name = "ZOOM 2x capture single insensorzoom_qcfa">
                    <condition name = "META" tag = "MULTICAM_CAPTURE_INTENT" type = "INT32" value = "2"/>
                    <outState>
                        <camera name = "wide" prev = "true" stage = "insensorzoom_qcfa"/>
                    </outState>
                </rule>
            </rule>

        </rule>

        <rule name = "2x wide ultra_wide binning">
            <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "1"/>
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning"/>
                <camera name = "ultra_wide"  stage = "binning_small" />
            </outState>

            <rule name = "ZOOM[2x]-->[wide binning, ultra_wide binning]">
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "2" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true"  stage = "binning" />
                    <camera name = "ultra_wide"  stage = "binning" />
					<enableSyncMode>1</enableSyncMode>
                </outState>
            </rule>
            <rule name = "ZOOM[2x]-->[wide binning]">
                <condition name = "META" tag = "IS_MULTI_CAMERA_STREAM_ON" type = "INT32" value = "1" outTag = "MULTICAM_CONDITION_STREAM_ON"/>
                <outState>
                    <camera name = "wide" prev = "true"  stage = "binning" />
                </outState>
            </rule>
        </rule>

        <rule name = "2x wide">
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning"/>
            </outState>
        </rule>
    </rule>
</MultiCameraConfigTable>
